<meta name="twitter:card" content="summary">

{% if template contains 'product' %}

  <meta property="og:type" content="product">
  <meta property="og:title" content="{{ product.title | strip_html | escape }}">
  <meta property="og:description" content="{{ product.description | strip_html | strip | strip_newlines | truncatewords: 140, '' | escape }}">

  <meta name="twitter:title" content="{{ product.title | strip_html | escape }}">
  <meta name="twitter:description" content="{{ product.description | strip_html | strip | strip_newlines | truncatewords: 140, '' | escape }}">

  <meta property="og:price:amount" content="{{ product.price | money_without_currency | strip_html | escape }}">
  <meta property="og:price:currency" content="{{ shop.currency }}">

{% elsif template contains 'article' %}

  <meta property="og:type" content="article">
  <meta property="og:title" content="{{ article.title | strip_html | escape }}">
  <meta property="og:description" content="{{ article.content | strip_html | strip | strip_newlines | truncatewords: 200, '' | escape }}">

  <meta name="twitter:title" content="{{ article.title | strip_html | escape }}">
  <meta name="twitter:description" content="{{ article.content | strip_html | strip | strip_newlines | truncatewords: 200, '' | escape }}">

{% else %}

  <meta property="og:type" content="website">
  <meta property="og:title" content="{{ page.title | escape }}">
  <meta property="og:description" content="{{ page.content | strip_html | strip | strip_newlines | truncatewords: 200, '' | escape }}">

  <meta name="twitter:title" content="{{ page.title | escape }}">
  <meta name="twitter:description" content="{{ page.content | strip_html | strip | strip_newlines | truncatewords: 200, '' | escape }}">

{% endif %}

{% if template contains 'product' %}

  {% for image in product.images limit:3 %}
    <meta property="og:image" content="http:{{ image.src | img_url: '1024x' }}">
    <meta property="og:image:secure_url" content="https:{{ image.src | img_url: '1024x' }}">
  {% endfor %}

  <meta name="twitter:image" content="https:{{ product.featured_image.src | img_url: '1024x' }}">

{% elsif template contains 'article' and article.image %}
  
  <meta property="og:image" content="http:{{ article.image.src | img_url: '1024x' }}">
  <meta property="og:image:secure_url" content="https:{{ article.image.src | img_url: '1024x' }}">

  <meta name="twitter:image" content="https:{{ article.image.src | img_url: '1024x' }}">

{% elsif template contains 'collection' and collection.image %}
  
  <meta property="og:image" content="http:{{ collection.image.src | img_url: '1024x' }}">
  <meta property="og:image:secure_url" content="https:{{ collection.image.src | img_url: '1024x' }}">

  <meta name="twitter:image" content="https:{{ collection.image.src | img_url: '1024x' }}">

{% elsif settings.share_image %}

  <meta property="og:image" content="http:{{ settings.share_image | img_url: '1024x' }}">
  <meta property="og:image:secure_url" content="https:{{ settings.share_image | img_url: '1024x' }}">
  
  <meta name="twitter:image" content="https:{{ settings.share_image | img_url: '1024x' }}">

{% endif %}

<meta property="og:url" content="{{ canonical_url }}">
<meta property="og:site_name" content="{{ shop.name }}">